
Enduro/X Core - Feature #328

Enduro/X Version 6.0 master task

07/19/2018 08:06 AM - Madars

Status: Closed Start date: 10/17/2017

Priority: High (Code 3) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Subtasks:

Support # 235: Queue runner for bridge processes Closed

Support # 252: Implement proper alignment handling for UBF Closed

Support # 253: Solaris shm_unlink might hang Closed

Feature # 257: Implemented tpexport() and tpimport() functions Closed

Feature # 281: System V message queue support Closed

Support # 310: Ubuntu 18.04 build warnings (gcc7) Closed

Support # 316: Rework documentation to towards use of CCONFIG Closed

Feature # 320: new ndrxconfig.xml flag "cmdline" for server (needed for java etc..) Closed

Support # 326: Migrate from GPL v2 to Affero GPL v3 for compatibility with Apache 2.0 l... Closed

Support # 327: Provide build for SUSE Enterprise Server 15 Closed

Bug # 330: CBfind for some reason checks output "len" variable Closed

Feature # 331: ndrxconfig.xml Closed

Feature # 333: Callback functions for UBF stream processing Closed

Feature # 334: glimpse index in the main build scripts Closed

Feature # 337: Fnum, Fnum32 implementation Closed

Bug # 338: Bboolev and Bfloatev does not validate the UBF buffer uppon entry Closed

Bug # 339: Bfloatev issues with addition of floating point numbers/constants Closed

Bug # 341: Bnext() does not return field length if no return buffer present Closed

Bug # 347: In multi-threaded apps NDRX_LOG might cause core dumps Closed

Bug # 349: At some scenarios Service shared memory might become partially corrupted Closed

Support # 350: unit test for pq/pqa -a Closed

Bug # 351: xadmin unadv/readv not working Closed

Support # 352: Updated ndrxd to work as a daemon process Closed

Bug # 353: tpbridge queue runner Closed

Support # 355: Oracle Solaris Posix Shared API may hang Closed

History

#1 - 11/30/2018 03:48 PM - Madars

Fixes for release:

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/nstd_tls.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/ulog.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_genunix.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_svqpoll.c.o

"/home/user1/endurox/libnstd/sys_svqpoll.c", line 578.54: 1506-280 (W) Function argument assignment between types "unsigned long*" and "long*" is

 not allowed.

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_svq.c.o

"/home/user1/endurox/libnstd/sys_svq.c", line 264.53: 1506-280 (W) Function argument assignment between types "unsigned long*" and "long*" is

 not allowed.

"/home/user1/endurox/libnstd/sys_svq.c", line 333.61: 1506-280 (W) Function argument assignment between types "unsigned long*" and "long*" is

 not allowed.

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_svqshm.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_svqevent.c.o
[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_svqadmin.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/sys_aix.c.o

[  3%] Building C object libnstd/CMakeFiles/nstd.dir/sys_common.c.o

[  3%] Building C object libnstd/CMakeFiles/nstd.dir/sys_posixq.c.o

 

[ 13%] Building C object libthpool/CMakeFiles/thpool.dir/thpool.c.o

"/home/user1/endurox/libthpool/thpool.c", line 306.13: 1506-280 (W) Function argument assignment between types "void*(*)(void*)" and "void*" is not

 allowed.

[ 13%] Linking C static library libthpool.a

Target "libthpool/CMakeFiles/thpool.dir/build"

#2 - 12/03/2018 07:14 AM - Madars

- Status changed from New to Closed

Released as Version 6.0.2 stable at 02/12/2018. Binary builds in progress and will be uploaded to files one by one.
